Bug 111821 - Autocomplete combobox cuts of text on wrong end.
Summary: Autocomplete combobox cuts of text on wrong end.
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: 3.4
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-08-31 16:13 UTC by basti
Modified: 2012-08-26 10:24 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description basti 2005-08-31 16:13:16 UTC
Version:           3.4 (using KDE KDE 3.4.0)
Installed from:    SuSE RPMs
OS:                Linux

When entering an address in Konqueror the text gets cuts off at the end during autocompletion. One can not see the actual choices of autocomplete. 
This is not a desired behavior. 

For Example:
If one enters in the user
/home/user/directory1/directory2/directory3/directory4
It might get cut off like this:
/home/user/directory1/directory2/direct...
/home/user/directory1/directory2/direct...
/home/user/directory1/directory2/direct...
/home/user/directory1/directory2/direct...

Furthermore the text is cut off even tough there is still space in the combobox.

Instead text from the middle can be deleted.
For example:
/home/user/.../directory3/directory4
Comment 1 Raúl 2011-10-27 19:39:04 UTC
This is still true on KDE 4.6.5. Regards,
Comment 2 Martin Koller 2012-08-25 19:04:38 UTC
patch against 4.9.0 is here https://git.reviewboard.kde.org/r/106183/
Comment 3 Martin Koller 2012-08-26 10:24:09 UTC
Git commit dffa8b2aeeb2e43984ec0a8aba7fd479216115f5 by Martin Koller.
Committed on 26/08/2012 at 12:21.
Pushed by mkoller into branch 'KDE/4.9'.

elide completion entries in the middle

The completion list did show the URLs as right-elided entries,
which is not optimal.
For filenames and man pages at least middle-elide is much more sensible.
FIXED-IN: 4.9.1
REVIEW: 106183

M  +1    -1    konqueror/src/konqcombo.cpp

http://commits.kde.org/kde-baseapps/dffa8b2aeeb2e43984ec0a8aba7fd479216115f5
Comment 4 Martin Koller 2012-08-26 10:24:21 UTC
Git commit 265b1a51187a006dd592bdc7a078468e39a5c037 by Martin Koller.
Committed on 26/08/2012 at 12:21.
Pushed by mkoller into branch 'master'.

elide completion entries in the middle

The completion list did show the URLs as right-elided entries,
which is not optimal.
For filenames and man pages at least middle-elide is much more sensible.
FIXED-IN: 4.9.1
REVIEW: 106183

M  +1    -1    konqueror/src/konqcombo.cpp

http://commits.kde.org/kde-baseapps/265b1a51187a006dd592bdc7a078468e39a5c037